Dependencies
--------------
1. You must use the Drupal core change from https://www.drupal.org/project/drupal/issues/2990549 (Overriding configuration variable to empty array has no effect).

Introduction
-----------------------
1. Install this module as usual
2. Make your own class that extends src/Config/ConfigOverride.php and implements the logic you need.
3. Use your class instead of ConfigOverride as per https://www.drupal.org/docs/drupal-apis/services-and-dependency-injection/altering-existing-services-providing-dynamic-services

Development of this module
-----------------
1. DDEV configuration is available. A domain-perm-content additional domain is available for testing.
2. The DDEV add-on https://github.com/ddev/ddev-drupal-contrib is available. Setup steps:
   - `git clone git@git.drupal.org:project/domain_perm.git && cd domain_perm`
   - `ddev start`
   - `ddev poser`
   - `ddev symlink-project`
   - `ddev drush si demo_umami -y`
   - `ddev drush uli --uid=2`

